> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Time Off Types

> List the time-off types defined for the team (e.g. Vacation, Sick Leave).



## OpenAPI

````yaml /openapi.json get /resource-planner/time-off-types
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /resource-planner/time-off-types:
    get:
      tags:
        - Time Off
      summary: Get Time Off Types
      description: >-
        List the time-off types defined for the team (e.g. Vacation, Sick
        Leave).
      operationId: getTimeOffTypes
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TimeOffType'
        '401':
          description: Unauthorized
components:
  schemas:
    TimeOffType:
      type: object
      properties:
        id:
          type: number
          example: 876534
        name:
          type: string
          example: Sick
        color:
          type: string
          example: '#4babe5'
        paid:
          type: boolean
          example: true
        description:
          type: string
          example: some notes
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````